Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## teamdev.jxdesktop
Class Keyboard

    java.lang.Object
      teamdev.jxdesktop.Keyboard

Direct Known Subclasses:
  WindowsKeyboard

public abstract class Keyboard
extends java.lang.Object

Represents the system keyboard that allows listening to the system key events.

Field Summary
`protected java.util.List` | `listeners`

Constructor Summary
`protected` | `Keyboard()`

Method Summary
`void` | `addKeyListener(java.awt.event.KeyListener listener)` Adds the specified key listener to receive system key events.
`static Keyboard` | `createKeyboard()`
`abstract void` | `dispose()` Disposes of the system keyboard.
`java.awt.event.KeyListener[]` | `getKeyListeners()` Returns an array of all the key listeners registered.
`void` | `removeKeyListener(java.awt.event.KeyListener listener)` Removes the specified key listener so that it no longer receives system key events.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### listeners

    protected java.util.List listeners

Constructor Detail

### Keyboard

    protected Keyboard()

Method Detail

### createKeyboard

    public static Keyboard createKeyboard()

### addKeyListener

    public void addKeyListener(java.awt.event.KeyListener listener)

  Adds the specified key listener to receive system key events. If `listener` is null, no exception is thrown and no action is performed.

  Parameters:
    `listener` - the key listener

### removeKeyListener

    public void removeKeyListener(java.awt.event.KeyListener listener)

  Removes the specified key listener so that it no longer receives system key events.

  Parameters:
    `listener` - the key listener

### getKeyListeners

    public java.awt.event.KeyListener[] getKeyListeners()

  Returns an array of all the key listeners registered.

  Returns:
    all of system's `KeyListener`s or an empty array if no key listeners are currently registered

### dispose

    public abstract void dispose()

  Disposes of the system keyboard.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD